Skip to main content
PUT
/
cleemy-procurement
/
api
/
suppliers
/
{id}
Update Supplier
curl --request PUT \
  --url https://{host}/cleemy-procurement/api/suppliers/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "territory": {
    "id": 123
  },
  "territoryId": "<string>",
  "legalRegistration": {
    "identifier": "<string>",
    "vatNumber": "<string>"
  },
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>"
    }
  ],
  "paymentTerm": {
    "value": 123
  },
  "bankAccount": {
    "iban": "<string>",
    "bic": "<string>"
  },
  "preferredNatureId": 123,
  "preferredCostCenterId": 123
}
'
import requests

url = "https://{host}/cleemy-procurement/api/suppliers/{id}"

payload = {
"name": "<string>",
"territory": { "id": 123 },
"territoryId": "<string>",
"legalRegistration": {
"identifier": "<string>",
"vatNumber": "<string>"
},
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
}
],
"paymentTerm": { "value": 123 },
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
},
"preferredNatureId": 123,
"preferredCostCenterId": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
territory: {id: 123},
territoryId: '<string>',
legalRegistration: {identifier: '<string>', vatNumber: '<string>'},
contacts: [
{
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phone: '<string>'
}
],
paymentTerm: {value: 123},
bankAccount: {iban: '<string>', bic: '<string>'},
preferredNatureId: 123,
preferredCostCenterId: 123
})
};

fetch('https://{host}/cleemy-procurement/api/suppliers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "territory": {
    "id": 123,
    "name": "<string>",
    "href": "<string>"
  },
  "legalRegistration": {
    "identifier": "<string>",
    "vatNumber": "<string>"
  },
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>"
    }
  ],
  "paymentTerm": {
    "value": 123
  },
  "bankAccount": {
    "iban": "<string>",
    "bic": "<string>"
  },
  "preferredNature": {
    "id": 123,
    "name": "<string>",
    "href": "<string>"
  },
  "preferredCostCenter": {
    "id": 123,
    "name": "<string>",
    "code": "<string>",
    "href": "<string>"
  },
  "establishments": [
    {
      "id": 123,
      "name": "<string>",
      "href": "<string>"
    }
  ]
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the supplier.

Body

application/json

Supplier to update.

A supplier.

name
string
state
enum<string>
Available options:
Active,
Archived
territory
Reference to a territory · object

Read-only. Territory of the supplier.

territoryId
string
write-only

Write-only. ID of the territory.

contacts
object[]
paymentTerm
object | null

Default payment term for this supplier.

bankAccount
object | null
preferredNatureId
integer<int32> | null
write-only

Write-only. ID of the preferred nature.

preferredPaymentMethod
enum<string> | null

BankTransfer: bank transfer. PhysicalCard: physical card. Check: check. DirectDebit: direct debit. SingleUseCard: single use card.

Available options:
BankTransfer,
PhysicalCard,
Check,
DirectDebit,
SingleUseCard
preferredCostCenterId
integer<int32> | null
write-only

Write-only. ID of the preferred cost-center.

Response

200 - application/json

OK

A supplier.

id
integer<int32>
read-only
name
string
state
enum<string>
Available options:
Active,
Archived
territory
Reference to a territory · object

Read-only. Territory of the supplier.

contacts
object[]
paymentTerm
object | null

Default payment term for this supplier.

bankAccount
object | null
preferredNature
object | null
read-only

Read-only. Preferred nature for this supplier.

preferredPaymentMethod
enum<string> | null

BankTransfer: bank transfer. PhysicalCard: physical card. Check: check. DirectDebit: direct debit. SingleUseCard: single use card.

Available options:
BankTransfer,
PhysicalCard,
Check,
DirectDebit,
SingleUseCard
preferredCostCenter
Reference to a cost-center · object

Read-only. Preferred cost-center for this supplier.

establishments
Reference to an establishment · object[]
read-only

Read-only. Establishments associated with this supplier.

flag
enum<string>
read-only
Available options:
Unflagged,
Flagged